/**
 * Copyright (c) 2006-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.objectweb.petals.tools.rmi.common.serializable.messagingtypes;

import java.io.Serializable;

import org.objectweb.petals.tools.rmi.common.serializable.MessageExchange;

/**
 * @author Nicolas SALATGE - EBM WebSourcing
 */
public class InOptionalOut
extends org.objectweb.petals.tools.rmi.common.serializable.messagingtypes.InOut
implements javax.jbi.messaging.InOptionalOut, Serializable {

    /**
     * the serialVersionUID.
     */
    private static final long serialVersionUID = -173766501634889560L;

    /**
     * the default constructor.
     *
     */
    public InOptionalOut() {
        super();

        this.setPattern(MessageExchange.IN_OPTIONAL_OUT_PATTERN);
    }
}
